Update a message template
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/messagetemplates/{messageTemplateId}
clientIdstringClient ID
messageTemplateIdinteger<int64>Message template ID
acceptstringGenerated from available response content types
subjectForTargetGroupstring<p>Subject specific to the target group. Set 'subject.[targetGroupId]' in request data (only email).Does not work with the "Try it out" feature.</p>
cmsContentTemplateIdstringID of source content template
messageTemplateIdForCreateinteger<int64>ID of source message template for creation
messageTemplateIdForCopyinteger<int64>ID of source message template for copying
replyToAddressstring<p>Reply-to address (only email)</p>
mailingIdinteger<int64>ID of source mailing
resetReplyToAddressboolean<p>Reset the local part of the reply-to address</p>
resetTargetedSubjectsboolean<p>If true, all target groups subjects are deleted (only email)</p>
replyToNamestring<p>Reply-to mailing name (only email)</p>
namestringName of the message template
senderNamestring<p>Mailing sender name (only email)</p>
subjectstring<p>Mailing subject (only email)</p>
senderAddressstringMailing sender address
200The message template was updated successfully.
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/messagetemplates/{messageTemplateId} \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'name=string'